Subject: Re: bug#6674: PATCH: fix assignment of grep-find-use-xargs on Windows

From: Christoph <[email-masked]>
Date: Tue, 20 Jul 2010 22:05:19 -0600

On 7/20/2010 10:02 PM, Eli Zaretskii wrote:
>> Date: Tue, 20 Jul 2010 18:44:55 -0600
>> From: Christoph<[email-masked]>
>> CC: Eli Zaretskii<[email-masked]>, Juanma Barranquero<[email-masked]>,
>>   Óscar Fuentes<[email-masked]>
>>
>> If nobody else is already working on it, I'd want to give it a try to
>> fix this. Either by enhancing cmdproxy or implementing Eli's batch file
>> solution.
>
> Thanks.  To make my intent clear: I meant to enhance cmdproxy to use a
> batch file when invoking the windows shell.  You will see that there's
> a variable need_shell in cmdproxy's `main' function which gets set to
> a non-zero value when cmdproxy decides it needs to pass the command
> the the shell instead of invoking it directly.  What I suggested is to
> modify the code in this case to put the command on a temporary batch
> file, then invoke the shell on that batch file rather than on the
> command itself.

Thanks for the clarification. I will have a look at that.

Christoph